<?php $country_iso = Cubix_Application::getById()->iso; ?>

<? if ( count( $this->cities ) > 0 ): ?>

    <?php $i = 0; $grid_name = ''; ?>
    <table class="cities-list">
        <? foreach ( $this->cities as $i => $city ): ?>
            <?php
                switch( $i%3 ){
                    case 0:
                        $grid_name = 'class="ui-block-a"';
                        break;
                    case 2:
                        $grid_name = 'class="ui-block-c"';
                        break;
                    case 1:
                        $grid_name = 'class="ui-block-b"';
                        break;
                    default:
                        $grid_name = 'class="ui-block-a"';
                        break;
                }
            ?>

            <?php //echo $city->escort_count; ?>

            <?php if( $i%3 == 0 ): ?>
                <tr class="ui-grid-b" class="dottedBorder">
            <?php endif; ?>

                    <td <?= $grid_name; ?>>
                        <a rel="external" style="margin: 0; border-radius: 0;" data-role="button" href="<?= $this->getLink('escorts', array('city' => $country_iso . '_' . $city->slug, 'filter' => null, 'page' => null)) ?>">
                            <?= $city->title ?> <span>(<?= $city->escort_count ?>)</span>
                        </a>
                    </td>

            <?php if( $i%3 == 2 ): ?>
                </tr>
            <?php endif; ?>

            <?php $i += 1; ?>
        <? endforeach ?>
    </table>
<? else: ?>
    <p class="dottedBorder"><?= __('search_reviews_no_result'); ?></p>
<? endif ?>